Ext.namespace("dSS", "dSS.util");

dSS.util.RadioTimeField = Ext.extend(Ext.Panel, {
    constructor: function(config) {

        var rb = new Ext.form.Radio({
            cls: 'dsClsRadioTimeField' + config.name + '_' + config.rbname + 'Radio',

            name: config.rbname,
            boxLabel: " "
        });

        var tfield = new Ext.form.TimeField({
            cls: 'dsClsRadioTimeField' + config.name + '_TimeField',

            name: config.name,
            width: config.timeFieldWidth,
            format: config.format,
            allowBlank: config.allowBlank,
            value: config.value
        });

        if (config.timeFieldEnabled === false) {
            tfield.disable();
        }

        Ext.apply(this, {
            cls: 'dsClsRadioTimeField' + config.name,

            layout: "column",
            height: 40,
            items: [
            new Ext.Panel({
                cls: 'dsClsRadioTimeField' + config.name + '_Panel',

                height: 26,
                width: config.fieldWidth
            }), rb, tfield]
        });

        dSS.util.RadioTimeField.superclass.constructor.apply(this, arguments);

        rb.on('check', function(e, checked) {
            if (checked) {
                tfield.enable();
                tfield.focus();
            } else {
                tfield.disable();
            }

        },
        this);
    }
});

Ext.reg('dssutilradioitimefield', dSS.util.RadioTimeField);

